Note: There are a few cases of duplicates in user autocompletion which are being worked on.

gxine plugin selected for video/quicktime while the Preferences dialog says VLC

RESOLVED WONTFIX

Status

()

Core
Plug-ins
RESOLVED WONTFIX
3 years ago
4 months ago

People

(Reporter: Vincent Lefevre, Unassigned)

Tracking

34 Branch
x86_64
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:34.0) Gecko/20100101 Firefox/34.0
Build ID: 20141125180439

Steps to reproduce:

Open http://www.zootropefilms.fr/v2/pro/DOCS%20FILMS/PARADJANOV/Video%20Promo%20Venue%20Serge%20Avedikian%20Comoedia.MOV (which has mediatype video/quicktime).


Actual results:

The gxine plugin was used (and didn't work due to missing codec or something like that).


Expected results:

The VLC plugin should have been used. Indeed, Preferences → Applications says for QuickTime video: "Use VLC Web Plugin (in Firefox)".

Note: the about:plugins page says:

gxine starter plugin

    File: gxineplugin.so
    Path: /usr/lib/gxine/gxineplugin.so
    Version:
    State: Enabled
    will start external gxine media player for embedded media streams
[...]
video/quicktime    Quicktime animation    mov,qt
[...]

VLC Web Plugin

    File: libvlcplugin.so
    Path: /usr/lib/mozilla/plugins/libvlcplugin.so
    Version:
    State: Enabled
    Version 2.1.4 Rincewind, copyright 1996-2012 VideoLAN and Authors http://www.videolan.org/vlc/
[...]
video/quicktime    QuickTime video    mov,qt
[...]
(Reporter)

Comment 1

3 years ago
This is reproducible in safe mode with a new profile.

Updated

3 years ago
Component: Untriaged → Plug-ins
Product: Firefox → Core
I'm marking this bug as WONTFIX per bug #1269807.

For more information see - https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.